<?php

namespace ConsentMagicPro;


// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

function render_edd_license_information( $status ) {
	?>

    <input type="hidden" id="edd_consent_magic_pro_deactivate_checkbox"
           name="edd_consent_magic_pro_deactivate_checkbox" value="on" checked>

    <div class="col-12 preview_container_buttons">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
        <span class="btn btn-link preview_color_btn"
              style="margin: 0;"><?php esc_html_e( $status, 'consent-magic' ); ?></span>
    </div>

    <div class="col-12">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
        <span class="settings_option"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
    </div>

    <div class="col-12">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
        <span class="settings_option"><?php echo CMPRO_LICENSE_NAME; ?></span>
    </div>

    <div class="col-12">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
        <span class="settings_option"
              style="text-transform: uppercase;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span>
    </div>

    <div class="col full-width-input" style="margin-top: 15px;">
        <input id="api_key" name="edd_consent_magic_pro[edd_consent_magic_pro_api_key]"
               size="25" type="text" value="************" disabled>
    </div>

    <p class="submit col-12">
        <input type="submit" name="submit" id="submit" class="btn btn-blue"
               value="Deactivate">
    </p>

    <p>
		<?php esc_html_e( 'If your don\'t have key, you can take it from', 'consent-magic' ); ?>
        <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/my-account' ); ?>"
           rel="nofollow"
           target="_blank"><?php esc_html_e( 'here', 'consent-magic' ); ?></a>
    </p>
	<?php
}

function render_woo_license_information( $status ) {
	?>
    <input type="hidden" id="wc_am_client_consent_magic_pro_deactivate_checkbox"
           name="wc_am_client_consent_magic_pro_deactivate_checkbox" value="on" checked>

    <div class="col-12 preview_container_buttons">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
        <span class="btn btn-link preview_color_btn"
              style="margin: 0;"><?php esc_html_e( $status, 'consent-magic' ); ?></span>
    </div>

    <div class="col-12 preview_container_buttons">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Your Product ID:', 'consent-magic' ); ?></h4>
        <span class="btn btn-link preview_color_btn"
              style="margin: 0;"><?php esc_html_e( get_option( 'wc_am_product_id_consent_magic_pro' ), 'consent-magic' ); ?></span>
    </div>

    <div class="col-12">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
        <span class="settings_option"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
    </div>

    <div class="col-12">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
        <span class="settings_option"><?php echo CMPRO_LICENSE_NAME; ?></span>
    </div>

    <div class="col-12">
        <h4 class="indicator-label"
            style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
        <span class="settings_option"
              style="text-transform: uppercase;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span>
    </div>

    <div class="col full-width-input" style="margin-top: 15px;">
        <input id="api_key"
               name="wc_am_client_consent_magic_pro[wc_am_client_consent_magic_pro_api_key]"
               size="25" type="text" value="************" disabled>
    </div>

    <p class="submit col-12">
        <input type="submit" name="submit" id="submit" class="btn btn-blue" value="Deactivate">
    </p>

    <p>
		<?php esc_html_e( 'If your don\'t have key, you can take it from', 'consent-magic' ); ?>
        <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/plugins/consentmagic/' ); ?>"
           target="_blank" rel="nofollow"><?php esc_html_e( 'here', 'consent-magic' ); ?></a>
    </p>
<?php
}
